List a bundle benchmark's files
curl --request GET \
--url https://api.benchgen.com/api/competitions/{id}/task_files/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.benchgen.com/api/competitions/{id}/task_files/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.benchgen.com/api/competitions/{id}/task_files/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"title": "<string>",
"tasks": [
{
"id": 123,
"name": "<string>",
"files": {
"scoring_program": {
"key": "<string>",
"updated": "2023-11-07T05:31:56Z",
"download_url": "<string>"
},
"ingestion_program": {
"key": "<string>",
"updated": "2023-11-07T05:31:56Z",
"download_url": "<string>"
},
"reference_data": {
"key": "<string>",
"updated": "2023-11-07T05:31:56Z",
"download_url": "<string>"
},
"input_data": {
"key": "<string>",
"updated": "2023-11-07T05:31:56Z",
"download_url": "<string>"
}
}
}
],
"runs": {
"finished": 123,
"scored_under_previous_files": [
{
"id": 123,
"model_name": "<string>",
"owner": "<string>",
"created_when": "2023-11-07T05:31:56Z"
}
]
}
}Benchmark creation
List a benchmark's files
Each task of the benchmark with its scoring program, ingestion program, reference data and input data, each with a short-lived download link, and the finished runs that were scored before the latest change to those files. Only the creator and its collaborators may read this. Requires the benchmark:read scope.
GET
/
api
/
competitions
/
{id}
/
task_files
/
List a bundle benchmark's files
Authorizations
Platform API token created under Profile Settings > Platform API tokens. Scopes are fixed at creation.
Path Parameters
The benchmark id.
Last modified on September 18, 2026